<?php
declare(strict_types=1);

namespace IntiTest\Filter;

/**
 * Class SanitizeTitleTest
 *
 * @package IntiTest\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filter
 */
final class SanitizeTitleTest extends FilterTestCase
{
    const FILTER = 'sanitize_title';

    public function testWillSanitizeTitle()
    {
        $input = '  Some ti<tag>tle   đšžćč ?(/ /45 #@';
        $expected = 'some-title-dszcc-45';

        $this->assertEquals($expected, $this->filter->filter($input));
    }
}
