<?php
declare(strict_types=1);

namespace IntiTest\Filter;

/**
 * Class RemoveAccentsTest
 *
 * @package IntiTest\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filter
 */
final class RemoveAccentsTest extends FilterTestCase
{
    const FILTER = 'remove_accents';

    public function testWillRemoveAccentsFromString()
    {
        $input = 'ĐŠŽĆČđšžćč';
        $expected = 'DSZCCdszcc';

        $this->assertEquals($expected, $this->filter->filter($input));
    }
}
